<ng-container *ngIf="jobRun$ | async as jobRun; else elseBlock">
  <div class="page-header">{{ jobRun.name }}</div>
  <div class="minerals-wrapper">
    <xrd-minerals-panel [minerals]="minerals$ | async"></xrd-minerals-panel>
  </div>
  <div class="content">
    <xrd-pie-chart
      class="run-chart"
      *ngIf="pieChartData$ | async as pieChartData"
      [data]="pieChartData.data"
      [title]="pieChartData.title"
    >
    </xrd-pie-chart>
    <xrd-scatter-chart
      class="run-chart"
      [data]="scatterChartData$ | async"
      [title]="'Grain Density Comparison'"
    ></xrd-scatter-chart>
    <xrd-stacked-bar-chart
      class="run-chart"
      [data]="stackedBarChartData$ | async"
      [title]="'Mineral Distribution'"
    ></xrd-stacked-bar-chart>
    <xrd-minerals-table
      class="run-table"
      [data]="jobRun.xrdAlgorithmResult"
      (selectRow)="onSelectRow($event)"
    ></xrd-minerals-table>

    <div class="controls">
      <a mat-raised-button type="button" color="primary" [routerLink]="['/xrd/run', jobRun.id]">
        View Job
      </a>
    </div>
  </div>
</ng-container>
<ng-template #elseBlock>
  <gng-spinner></gng-spinner>
</ng-template>
